Last Comment Bug 594081 - "Check online presence (AOL)" should be removed from address book tools menu
: "Check online presence (AOL)" should be removed from address book tools menu
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: MailNews: Address Book & Contacts (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1b1
Assigned To: Serge Gautherie (:sgautherie)
:
Mentors:
http://mxr.mozilla.org/comm-central/s...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-07 11:08 PDT by Igor Velkov
Modified: 2010-09-26 06:50 PDT (History)
3 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Remove outdated code from SeaMonkey and Thunderbird [Checked in: Comment 10] (15.39 KB, patch)
2010-09-08 08:51 PDT, Serge Gautherie (:sgautherie)
standard8: review+
neil: feedback+
mnyromyr: feedback+
Details | Diff | Review

Description Igor Velkov 2010-09-07 11:08:06 PDT
"Check online presence AOL" should be removed from address book tools menu
Comment 1 Serge Gautherie (:sgautherie) 2010-09-08 08:51:38 PDT
Created attachment 473069 [details] [diff] [review]
Remove outdated code from SeaMonkey and Thunderbird
[Checked in: Comment 10]
Comment 2 Mark Banner (:standard8) 2010-09-08 09:54:42 PDT
(In reply to comment #0)
> "Check online presence AOL" should be removed from address book tools menu

Why? Last I checked it was still working (alright that was a year or two ago), but if you're going to file a bug you should give the reason as to why.
Comment 3 Igor Velkov 2010-09-08 10:25:36 PDT
Maybe, I am wrong... I not see this feature work since Netscape Coppunicator bundled with AOL client. Then I think it's just obsoleted non-functional legacy.

But, if it still usable - ok, let it be.
Comment 4 Mark Banner (:standard8) 2010-09-21 08:13:24 PDT
Comment on attachment 473069 [details] [diff] [review]
Remove outdated code from SeaMonkey and Thunderbird
[Checked in: Comment 10]

So from a SeaMonkey perspective, the only bits that I can see that are currently broken are the image to display the online presence (if the menu option is checked). Namely:

http://ncmail.netscape.com/include/nc/images/offline.gif
http://ncmail.netscape.com/include/nc/images/online.gif

do not exist any more (they used to resemble little people).

So they should either be fixed, or this code removed. That decision is up to Karsten or Neil.

In the Thunderbird case, I think we can loose that code. However, I'd prefer that to go on a Thunderbird bug so that we can track it more easily and keep it separate from the SeaMonkey decision that needs making here.
Comment 5 Serge Gautherie (:sgautherie) 2010-09-21 08:51:56 PDT
Comment on attachment 473069 [details] [diff] [review]
Remove outdated code from SeaMonkey and Thunderbird
[Checked in: Comment 10]

(In reply to comment #4)
> http://ncmail.netscape.com/include/nc/images/offline.gif
> http://ncmail.netscape.com/include/nc/images/online.gif
> do not exist any more (they used to resemble little people).

Fwiw, that's the only thing I had checked before starting to create my patch :-|

> So they should either be fixed, or this code removed. That decision is up to
> Karsten or Neil.

Asking for feedback...

NB:
Iiuc, the feature is useless if we don't have/fix some kind of working UI for it.
Fwiw, I think this feature was/is nice but should be an extension nowadays (if someone wants to do one).

> In the Thunderbird case, I think we can loose that code. However, I'd prefer
> that to go on a Thunderbird bug so that we can track it more easily and keep it
> separate from the SeaMonkey decision that needs making here.

I did TB part too because I assumed abCardViewOverlay.xul was shared between the two apps and I didn't wan't to try to "ifdef" that code...
Was I wrong? Would there be a solution not to remove the whole feature (if that's what we want) from both SM and TB at the same time?
Comment 6 Serge Gautherie (:sgautherie) 2010-09-21 08:58:53 PDT
Ftr,
http://api.oscar.aol.com redirects to http://dev.aol.com/aim
{
Going forward, we're shifting our focus to select partnership opportunities that will help us move the needle in the communications space.
}
Comment 7 Karsten Düsterloh 2010-09-21 14:14:08 PDT
Comment on attachment 473069 [details] [diff] [review]
Remove outdated code from SeaMonkey and Thunderbird
[Checked in: Comment 10]

Since we removed most remnants of our commercial inheritance anyway by now (eg AIM buddy icons), I don't think there's much justification left to actually include AIM notifications... (And it's not even open source. ;-) )
Neil, do you see any higher reason to keep it?

f+=me (not a formal review)
Comment 8 neil@parkwaycc.co.uk 2010-09-21 14:19:30 PDT
Comment on attachment 473069 [details] [diff] [review]
Remove outdated code from SeaMonkey and Thunderbird
[Checked in: Comment 10]

No point keeping a broken feature if there's nobody around to fix it.
Comment 9 Serge Gautherie (:sgautherie) 2010-09-21 19:58:18 PDT
Comment on attachment 473069 [details] [diff] [review]
Remove outdated code from SeaMonkey and Thunderbird
[Checked in: Comment 10]

(In reply to comment #4)

> So they should either be fixed, or this code removed. That decision is up to
> Karsten or Neil.

Then, both agree to remove the whole feature.

> In the Thunderbird case, I think we can loose that code. However, I'd prefer
> that to go on a Thunderbird bug so that we can track it more easily and keep it
> separate from the SeaMonkey decision that needs making here.

Unless the answer to my comment 5 question(s) is that SM and TB cases can be separated, you can move this very bug to TB if you prefer.
Comment 10 Serge Gautherie (:sgautherie) 2010-09-26 06:17:38 PDT
Comment on attachment 473069 [details] [diff] [review]
Remove outdated code from SeaMonkey and Thunderbird
[Checked in: Comment 10]

http://hg.mozilla.org/comm-central/rev/80df3f094abc
Comment 11 Serge Gautherie (:sgautherie) 2010-09-26 06:50:43 PDT
(In reply to comment #9)
> Unless the answer to my comment 5 question(s) is that SM and TB cases can be
> separated, you can move this very bug to TB if you prefer.

Ftr, actually they could have, but I figured it out after the fact (because TB still packages the file):
I filed bug 599726.

Note You need to log in before you can comment on or make changes to this bug.